apply from: rootProject.file('cc-settings.gradle')
apply from: rootProject.file('common-build.gradle')

android {
    compileSdkVersion rootProject.target_sdk_version


    defaultConfig {
        minSdkVersion rootProject.min_sdk_version
        targetSdkVersion rootProject.target_sdk_version
        versionCode rootProject.application_version_code
        versionName rootProject.application_version_name
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    packagingOptions {
        exclude 'META-INF/XXXX'
    }

    sourceSets {
        main {
            if (!runAsApp) {
                manifest.srcFile 'src/main/AndroidManifest.xml'
                //release模式下排除debug文件夹中的所有Java文件
                java {
                    exclude 'src/main/debug/**'
                }
            } else {
                manifest.srcFile 'src/main/debug/AndroidManifest.xml'
//                java.srcDirs = ['src/main/debug']
            }
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

}

dependencies {
    implementation 'com.amap.api:location:latest.integration' //定位功能
    implementation 'com.amap.api:search:latest.integration' //搜索功能
    implementation 'com.amap.api:3dmap:latest.integration'//3D地图

    implementation 'com.githang:status-bar-compat:0.7'
    //2D地图
   // implementation 'com.amap.api:map2d:latest.integration'
    implementation project(':base')
    implementation 'com.alibaba:fastjson:1.2.73'

}
